using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Range
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			
			InitializeComponent();
			InitializeControlSettings();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			// 
			// chartControl1.ChartArea
			// 
			this.chartControl1.ChartArea.AxesSideBySide = true;
			this.chartControl1.ChartArea.ChartAreaMargins.Bottom = 10;
			this.chartControl1.ChartArea.ChartAreaMargins.Left = 10;
			this.chartControl1.ChartArea.ChartAreaMargins.Right = 10;
			this.chartControl1.ChartArea.ChartAreaMargins.Top = 10;
			this.chartControl1.ChartArea.ChartPlotAreaMargins.Bottom = 10;
			this.chartControl1.ChartArea.ChartPlotAreaMargins.Left = 10;
			this.chartControl1.ChartArea.ChartPlotAreaMargins.Right = 10;
			this.chartControl1.ChartArea.ChartPlotAreaMargins.Top = 10;
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(454, 188);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Legend.TextColor = System.Drawing.Color.Black;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.DrawGrid = false;
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.DrawGrid = false;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.Size = new System.Drawing.Size(552, 366);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 366);
			this.Controls.Add(this.chartControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Resize += new System.EventHandler(this.Form1_Resize);
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion


		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			this.chartControl1.HidePartialLabels = true;
		}
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		protected void InitializeChartData()
		{

			ChartSeries series = this.chartControl1.Model.NewSeries("Series",ChartSeriesType.Column);
			series.Text = series.Name;

			series.Points.Add(1,-40000);
			series.Points.Add(2,-15000);
			series.Points.Add(3,10000);
			series.Points.Add(4,23000);
			series.Points.Add(5,35000);

			this.chartControl1.Series.Add(series);

			this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
			this.chartControl1.PrimaryYAxis.Range.Min=-60000;
			this.chartControl1.PrimaryYAxis.Range.Max=40000;
			this.chartControl1.PrimaryYAxis.Range.Interval=4000;

			this.chartControl1.PrimaryXAxis.DrawGrid = true;
			this.chartControl1.PrimaryYAxis.DrawGrid = true;
			this.ChartResize();
		}

		private void Form1_Resize(object sender, System.EventArgs e)
		{
			this.ChartResize();
		}
		private void ChartResize()
		{
			double min,tot,n,height;
			if(this.chartControl1.PrimaryYAxis.Range.Min < 0)
				min = 0-this.chartControl1.PrimaryYAxis.Range.Min;
			else
				min = this.chartControl1.PrimaryYAxis.Range.Min;
			tot = min + this.chartControl1.PrimaryYAxis.Range.Max;
			n=tot/this.chartControl1.PrimaryYAxis.Range.Interval;
			height = n*16+50;
			if(this.Size.Height < height)
				this.Size = new Size(this.Size.Width, (int)height);
		}
	}
}
